<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8" />
    <title>Employee Loan</title>

    <!-- if there must be multiple plugins, put here -->
    <link rel="stylesheet" th:href="@{assets/css/customCss/employee-edit.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/datatables.net-bs4/dataTables.bootstrap4.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/css/fixedColumns.bootstrap.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/bootstrap-datepicker/bootstrap-datepicker.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/select2/select2.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/select2-bootstrap-theme/select2-bootstrap.min.css}">
    <!-- end -->
    <div th:replace="fragments/side-menu-header :: css-side"></div>

</head>

<body>
    <div class="container-scroller">
        <!-- partial:../../partials/_navbar.html -->
        <nav th:replace="fragments/side-menu-header :: navbar"></nav>
        <!-- partial -->
        <div class="container-fluid page-body-wrapper">
            <!-- partial:../../partials/_sidebar.html -->
            <nav th:replace="fragments/side-menu-menu :: sidebar"></nav>
            <!-- partial -->
            <div class="main-panel">
                <!-- content wrapper -->
                <div class="content-wrapper">
                    <div class="page-header">
                        <h3 class="page-title"> Employee </h3>
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="/dashboard">Dashboard</a></li>
                                <li class="breadcrumb-item active" aria-current="page">Employee</li>
                            </ol>
                        </nav>
                    </div>

                    <!-- put your content here -->
                    <div class="card">
                        <div class="card-body" style="padding: 30px 0 0 0;">
                            <div class="template-demo d-flex justify-content-center bd-highlight mb-3">
                                <ul class="list-inline" style="border-bottom: 1px solid #afaaaa;">
                                    <li class="list-inline-item">
                                        <a th:href="@{/employee-edit}" class="btn btn-danger menuButton">General Info</a>
                                    </li>
                                    <li class="list-inline-item">
                                        <a href="#" class="btn btn-danger menuButton">Payroll</a>
                                    </li>
                                    <li class="list-inline-item">
                                        <button class="btn btn-danger menuButton dropdown-toggle" type="button" id="dropdownMenuButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> Time Management </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton3">
                                            <a class="dropdown-item" th:href="@{/employee-time-off}">Time Off</a>
                                            <a class="dropdown-item" th:href="@{/employee-attendance}">Attendance</a>
                                            <a class="dropdown-item" th:href="@{/employee-overtime}">Overtime</a>
                                            <!-- <div class="dropdown-divider"></div>
                                            <a class="dropdown-item" href="#">Separated link</a> -->
                                        </div>
                                    </li>
                                    <li class="list-inline-item">
                                        <button class="btn btn-danger menuButton dropdown-toggle" type="button" id="dropdownMenuButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> Finance </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton3">
                                            <a class="dropdown-item" th:href="@{/employee-reimburst}">Reimbursement</a>
                                            <a class="dropdown-item" th:href="@{/employee-loan}">Loan</a>
                                        </div>
                                    </li>
                                    <li class="list-inline-item">
                                        <button class="btn btn-danger menuButton dropdown-toggle" type="button" id="dropdownMenuButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> History </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton3">
                                            <h6 class="dropdown-header">Settings</h6>
                                            <a class="dropdown-item" href="#">Action</a>
                                            <a class="dropdown-item" href="#">Another action</a>
                                            <a class="dropdown-item" href="#">Something else here</a>
                                            <div class="dropdown-divider"></div>
                                            <a class="dropdown-item" href="#">Separated link</a>
                                        </div>
                                    </li>
                                    <li class="list-inline-item">
                                        <button class="btn btn-danger menuButton dropdown-toggle" type="button" id="dropdownMenuButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> More </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton3">
                                            <h6 class="dropdown-header">Settings</h6>
                                            <a class="dropdown-item" href="#">Action</a>
                                            <a class="dropdown-item" href="#">Another action</a>
                                            <a class="dropdown-item" href="#">Something else here</a>
                                            <div class="dropdown-divider"></div>
                                            <a class="dropdown-item" href="#">Separated link</a>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    

                        <div class="card-body">
                            <div class="col-sm-12">
                                <div class="row">
                                    <div class="col-sm-6" style="height: 50px;">
                                        <h4 class="card-title" style="margin-bottom: 10px;">Employee Dummy Name's loan information</h4>
                                        <p class="card-description">This is summary of your employee loan.</p>
                                    </div>
                                    <!-- <div class="col-sm-6 d-flex flex-row-reverse" style="height: 50px;">
                                        <button class="btn btn-info btn-fw" style="padding-top:18px;" data-toggle="modal" data-target="#requestOvertime">REQUEST REIMBURSEMENT</button>
                                    </div> -->
                                </div>
                            </div>
                            <hr />

                            <div class="col-lg-12">
                                <h5 class="card-title">Loan History</h5>
                                <table class="table display" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Transaction ID</th>
                                            <th>Loan Name</th>
                                            <th>Loan Amount</th>
                                            <th>Installment</th>
                                            <th>Interest</th>
                                            <th>Effective Date</th>
                                            <th></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>201806003</td>
                                            <td>Pembiayaan Kosika</td>
                                            <td>4.600.000</td>
                                            <td>46</td>
                                            <td>0 %</td>
                                            <td>21 May 2018</td>
                                            <td>
                                                <button class="btn btn-warning btn-sm" title="Detail" role="modal" data-toggle="modal" data-target="#loanDetail"><i class="fa fa-eye"></i> </button>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                    <!-- Modal Request Reimbursement -->
                    <div class="modal fade" id="loanDetail" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-lg d-flex justify-content-center">
                            <div class="modal-content col-sm-9">
                                <div class="modal-header">
                                    <h5 class="modal-title">Loan 201806003</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                
                                <div class="modal-body modal-scroll">
                                    <table class="table display" style="width:100%">
                                        <thead>
                                            <tr>
                                                <th>Installment</th>
                                                <th>Payment Date</th>
                                                <th>Basic Payment</th>
                                                <th>Interest</th>
                                                <th>Remaining Loan</th>
                                                <th>Paid</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td>1</td>
                                                <td>2018-06-20</td>
                                                <td>100.000</td>
                                                <td>0</td>
                                                <td>4.500.000</td>
                                                <td>Paid</td>
                                            </tr>
                                            <tr>
                                                <td>2</td>
                                                <td>2018-07-20</td>
                                                <td>100.000</td>
                                                <td>0</td>
                                                <td>4.500.000</td>
                                                <td>Paid</td>
                                            </tr>
                                            <tr>
                                                <td>3</td>
                                                <td>2018-08-20</td>
                                                <td>100.000</td>
                                                <td>0</td>
                                                <td>4.500.000</td>
                                                <td>Paid</td>
                                            </tr>
                                            <tr>
                                                <td>4</td>
                                                <td>2018-09-20</td>
                                                <td>100.000</td>
                                                <td>0</td>
                                                <td>4.500.000</td>
                                                <td>Paid</td>
                                            </tr>
                                            <tr>
                                                <td>5</td>
                                                <td>2018-10-20</td>
                                                <td>100.000</td>
                                                <td>0</td>
                                                <td>4.500.000</td>
                                                <td>Paid</td>
                                            </tr>
                                            <tr>
                                                <td>6</td>
                                                <td>2018-11-20</td>
                                                <td>100.000</td>
                                                <td>0</td>
                                                <td>4.500.000</td>
                                                <td>Paid</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>

                                <div class="modal-footer">
                                    <button type="button" class="btn btn-light" data-dismiss="modal">Cancel</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                </div>
                <!-- content-wrapper ends -->
                <!-- partial:../../partials/_footer.html -->
                <footer th:replace="fragments/side-menu-footer :: footer"></footer>
                <!-- partial -->
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
    
    <div th:replace="fragments/side-menu-footer :: js"></div>

    <!-- Plugin js for this page -->
    <script th:src="@{assets/vendors/datatables.net/jquery.dataTables.js}"></script>
    <script th:src="@{assets/vendors/datatables.net-bs4/dataTables.bootstrap4.js}"></script>
    <script th:src="@{assets/vendors/datatables.net/dataTables.fixedColumns.min.js}"></script>
    <script th:src="@{assets/vendors/bootstrap-datepicker/bootstrap-datepicker.min.js}"></script>
    <script th:src="@{assets/vendors/select2/select2.min.js}"></script>
    <!-- End plugin js for this page -->
    <!-- Custom js for this page -->
    <script th:src="@{assets/js/modal-demo.js}"></script>
    <script th:src="@{assets/customJs/employee-overtime.js}"></script>
    <script th:src="@{assets/js/file-upload.js}"></script>
    <script th:src="@{assets/js/select2.js}"></script>
    <!-- End custom js for this page -->
</body>

</html>